# MaskUtil (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.util
Class MaskUtil

    java.lang.Object
      org.newdawn.slick.util.MaskUtil

    public class MaskUtil

extends java.lang.Object

A utility to provide full screen masking

Author:
  kevin

Field Summary
`protected static SGL` `GL` The renderer to use for all GL operations

Constructor Summary
`MaskUtil()`

Method Summary
`static void` `defineMask()` Start defining the screen mask.
`static void` `drawOffMask()` Start drawing only off the masked area
`static void` `drawOnMask()` Start drawing only on the masked area
`static void` `finishDefineMask()` Finish defining the screen mask
`static void` `resetMask()` Reset the masked area - should be done after you've finished rendering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL

    protected static SGL GL

  The renderer to use for all GL operations

Constructor Detail

### MaskUtil

    public MaskUtil()

Method Detail

### defineMask

    public static void defineMask()

  Start defining the screen mask. After calling this use graphics functions to mask out the area

### finishDefineMask

    public static void finishDefineMask()

  Finish defining the screen mask

### drawOnMask

    public static void drawOnMask()

  Start drawing only on the masked area

### drawOffMask

    public static void drawOffMask()

  Start drawing only off the masked area

### resetMask

    public static void resetMask()

  Reset the masked area - should be done after you've finished rendering

Copyright © 2006 New Dawn Software. All Rights Reserved.